Bug 244150 - Cannot find IDE device with ATI/AMD SB700
Summary: Cannot find IDE device with ATI/AMD SB700
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Bhavna Sarathy
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: FutureFeature, OtherQA
Depends On:
Blocks: 221316
TreeView+ depends on / blocked
 
Reported: 2007-06-14 06:28 UTC by henry su
Modified: 2009-06-19 22:53 UTC (History)
8 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 19:53:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add the IDE device ID (1.70 KB, application/octet-stream)
2007-06-14 06:38 UTC, henry su
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description henry su 2007-06-14 06:28:47 UTC
Description of problem:Install OS with native IDE mode, cannot find the IDE 
device.


Version-Release number of selected component (if applicable):
2.6.18

How reproducible:
always

Steps to Reproduce:
1.Set onchip SATA mode as native IDE mode in system BIOS
2.install the OS from ODD

  
Actual results:
Cannot find any hard disk device

Expected results:
Hard disk should be detected

Additional info:

Comment 1 henry su 2007-06-14 06:37:22 UTC
ATI/AMD SB700 is a new south bridge chipset, this chipset is not fully 
supported for lack of the controller device IDs.

The attached patch accepted by kernel.org fix this issue.

Comment 2 henry su 2007-06-14 06:38:19 UTC
Created attachment 156960 [details]
add the IDE device ID

Comment 3 henry su 2007-06-14 08:05:39 UTC
the following patch fix this issue:
----------------------------------------------------
diff -Nur linux-2.6.21.1.orig/include/linux/pci_ids.h linux-
2.6.21.1/include/linux/pci_ids.h
--- linux-2.6.21.1.orig/include/linux/pci_ids.h 2007-05-16 13:28:54.405386000 
+0800
+++ linux-2.6.21.1/include/linux/pci_ids.h      2007-05-16 13:45:29.936636000 
+0800
@@ -371,6 +371,9 @@
 #define PCI_DEVICE_ID_ATI_IXP600_SRAID 0x4381
 #define PCI_DEVICE_ID_ATI_IXP600_SMBUS 0x4385
 #define PCI_DEVICE_ID_ATI_IXP600_IDE   0x438c
+#define PCI_DEVICE_ID_ATI_IXP700_IDE   0x439c

 #define PCI_VENDOR_ID_VLSI             0x1004
 #define PCI_DEVICE_ID_VLSI_82C592      0x0005

diff -Nur linux-2.6.21.1.orig/drivers/ata/pata_atiixp.c linux-
2.6.21.1/drivers/ata/pata_atiixp.c
--- linux-2.6.21.1.orig/drivers/ata/pata_atiixp.c       2007-05-16 
13:27:49.764761000 +0800
+++ linux-2.6.21.1/drivers/ata/pata_atiixp.c    2007-05-16 13:37:47.014761000 
+0800
@@ -283,6 +283,7 @@
        { PCI_VDEVICE(ATI, PCI_DEVICE_ID_ATI_IXP300_IDE), },
        { PCI_VDEVICE(ATI, PCI_DEVICE_ID_ATI_IXP400_IDE), },
        { PCI_VDEVICE(ATI, PCI_DEVICE_ID_ATI_IXP600_IDE), },
+       { PCI_VDEVICE(ATI, PCI_DEVICE_ID_ATI_IXP700_IDE), },

        { },
 };

diff -Nur linux-2.6.21.1.orig/drivers/ide/pci/atiixp.c linux-
2.6.21.1/drivers/ide/pci/atiixp.c
--- linux-2.6.21.1.orig/drivers/ide/pci/atiixp.c        2007-05-16 
13:27:53.671011000 +0800
+++ linux-2.6.21.1/drivers/ide/pci/atiixp.c     2007-05-16 13:43:51.952261000 
+0800
@@ -353,6 +353,7 @@
        { PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP300_IDE, PCI_ANY_ID, 
PCI_ANY_ID, 0, 0, 0},
        { PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP400_IDE, PCI_ANY_ID, 
PCI_ANY_ID, 0, 0, 0},
        { PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP600_IDE, PCI_ANY_ID, 
PCI_ANY_ID, 0, 0, 1},
+       { PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP700_IDE, PCI_ANY_ID, 
PCI_ANY_ID, 0, 0, 1},
        { 0, },
 };
 MODULE_DEVICE_TABLE(pci, atiixp_pci_tbl);


Comment 4 Alan Cox 2007-06-14 09:39:54 UTC
Looks ok to me once its upstream


Comment 5 Bhavna Sarathy 2007-06-15 12:58:44 UTC
Can this be included in R5.1?

Comment 6 Prarit Bhargava 2007-06-15 13:16:49 UTC
(In reply to comment #5)
> Can this be included in R5.1?

Unlikely -- this is a new feature request, IMO.

P.


Comment 7 Bhavna Sarathy 2007-06-15 16:31:54 UTC
Patch posted to RHML on Jun 15.

Comment 8 RHEL Product and Program Management 2007-06-15 17:26:13 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 10 Don Zickus 2007-06-27 15:49:44 UTC
in 2.6.18-32.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 12 John Poelstra 2007-08-14 23:50:40 UTC
A fix for this issue has been included in the packages contained in the beta
(RHN channel) or most recent snapshot (partners.redhat.com) for RHEL5.1.  Please
verify that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

Comment 13 John Poelstra 2007-08-24 05:29:33 UTC
A fix for this issue should have been included in the packages contained in the
most recent snapshot (partners.redhat.com) for RHEL5.1.  

Requested action: Please verify that your issue is fixed as soon as possible to
ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

More assistance: If you cannot access bugzilla, please reply with a message to
Issue Tracker and I will change the status for you.  If you need assistance
accessing ftp://partners.redhat.com, please contact your Partner Manager.

Comment 15 errata-xmlrpc 2007-11-07 19:53:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.